From 1567186114aa40923f46e1185ab6dcebdbae8b53 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 24 2020 02:14:34 +0000
Subject: [PATCH 1498/2232] Resolve some instances of cppcoreguidelines-pro-type-member-init


https://github.com/dtolnay/cxx/issues/500

---

diff --git a/include/cxx.h b/include/cxx.h
index 4ed3302..8d7e96f 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -483,8 +483,7 @@ Box<T>::Box() noexcept {}
 #ifndef CXXBRIDGE1_RUST_VEC
 #define CXXBRIDGE1_RUST_VEC
 template <typename T>
-Vec<T>::Vec(Vec &&other) noexcept {
-  this->repr = other.repr;
+Vec<T>::Vec(Vec &&other) noexcept : repr(other.repr) {
   new (&other) Vec();
 }
 
diff --git a/src/cxx.cc b/src/cxx.cc
index 122f6a5..c954513 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -67,8 +67,7 @@ String::String(const String &other) noexcept {
   cxxbridge1$string$clone(this, other);
 }
 
-String::String(String &&other) noexcept {
-  this->repr = other.repr;
+String::String(String &&other) noexcept : repr(other.repr) {
   cxxbridge1$string$new(&other);
 }
 

